tech-pkg archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

Re: Bringing wip/gloox, wip/poco* and wip/spetrum into pkgsrc

Thomas Klausner writes:
- On Sat, Jan 22, 2011 at 08:06:14PM -0600, Eric Schnoebelen wrote:
- > I'd like to bring the following packages into main stream
- > pkgsrc:
- > 
- >     wip/gloox
- >     wip/poco
- >     wip/poco-data
- >     wip/poco-data-mysql
- >     wip/poco-data-odbc
- >     wip/poco-data-sqlite
- >     wip/spectrum
- > 
- > Objections, comments?
- I've fixed some minor issues with them. Could you please add a comment
- to poco's patch-af, and set the LICENSEs for all of them?

I haven't been able to find the boost-license in the tree.  I'll
import it along with the rest of the import.

I need to remember why I created poco/patches/patch-af, it may
have been for debugging, and no longer needed.  I'll verify

Any objections to moving "PKG_DESTDIR_SUPPORT=    user-destdir"
into Makefile.common (since it is common to all the including

- poco doesn't build for me on 5.99.44/amd64, with:
- gmake: *** [NetSSL_OpenSSL-tests] Error 2
- ld: warning:, needed by
- /scratch/wip/poco/work/poco-1.4.0-all/lib/NetBSD/amd64/,
- not found (try using -rpath or -rpath-link)

Any idea why libexpat was not found on this system?
"textproc/expat/" is explicitly called out in

poco builds on NetBSD/amd64 (5.99.27, 5.99.39, 5.1) and
NetBSD/alpha (5.1, 5.0) here.


Eric Schnoebelen      
    Never put off until tomorrow what you can do today.  There might be a
                        law against it by that time.

Home | Main Index | Thread Index | Old Index